### Method

# Gtk.RecentManager.lookup_item

#### Declaration [src]

    GtkRecentInfo*
    gtk_recent_manager_lookup_item (
      GtkRecentManager* manager,
      const char* uri,
      GError** error
    )

#### Description [src]

Searches for a URI inside the recently used resources list, and returns a `GtkRecentInfo` containing information about the resource like its MIME type, or its display name.

#### Parameters

`uri` | `const char*`
| a URI
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GtkRecentInfo`
a `GtkRecentInfo` containing information about the resource pointed by `uri`, or `NULL` if the URI was not registered in the recently used resources list. Free with `gtk_recent_info_unref()`.
Ownership of the data is transferred to the caller
Can be `NULL`